Appendix A: Dependencies and versionsedit

elasticsearch     = 7.12.1
lucene            = 8.8.0

bundled_jdk_vendor = adoptopenjdk
bundled_jdk = 16+36

checkstyle = 8.39

# optional dependencies
spatial4j         = 0.7
jts               = 1.15.0
jackson           = 2.10.4
snakeyaml         = 1.26
icu4j             = 62.1
supercsv          = 2.4.0
# when updating log4j, please update also docs/java-api/index.asciidoc
log4j             = 2.11.1
slf4j             = 1.6.2

# when updating the JNA version, also update the version in buildSrc/build.gradle
jna               = 5.7.0-1

netty             = 4.1.49.Final
joda              = 2.10.4

# when updating this version, you need to ensure compatibility with:
#  - plugins/ingest-attachment (transitive dependency, check the upstream POM)
#  - distribution/tools/plugin-cli
#  - x-pack/plugin/security
bouncycastle=1.64
# test dependencies
randomizedrunner  = 2.7.1
junit             = 4.12
httpclient        = 4.5.10
httpcore          = 4.4.12
httpasyncclient   = 4.1.4
commonslogging    = 1.1.3
commonscodec      = 1.11
hamcrest          = 2.1
securemock        = 1.2
mocksocket        = 1.2

# benchmark dependencies
jmh               = 1.26

# test dependencies
# when updating this version, also update :qa:evil-tests
jimfs = 1.2
jimfs_guava = 30.1-jre